import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
import uView from "@/uni_modules/uview-ui";
import Navbar from 'pages/components/Navbar'

Vue.use(plugins)
Vue.use(uView);
Vue.component('Navbar', Navbar)

Vue.config.productionTip = false
Vue.prototype.$store = store

App.mpType = 'app'

const app = new Vue({
  ...App
})

app.$mount()
